## org.eclipse.m2m.atl.profiler.ui.profilingdatatable
Class ProfilingDataTableView

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.ViewPart
                  org.eclipse.m2m.atl.profiler.ui.profilingdatatable.ProfilingDataTableView

All Implemented Interfaces:
  java.util.EventListener, java.util.Observer, org.eclipse.core.runtime.IAdaptable, org.eclipse.core.runtime.IExecutableExtension, org.eclipse.ui.IPersistable, org.eclipse.ui.ISelectionListener, org.eclipse.ui.IViewPart, org.eclipse.ui.IWorkbenchPart, org.eclipse.ui.IWorkbenchPart2, org.eclipse.ui.IWorkbenchPart3, org.eclipse.ui.part.IWorkbenchPartOrientation

    public class ProfilingDataTableView

extends org.eclipse.ui.part.ViewPart
implements java.util.Observer, org.eclipse.ui.ISelectionListener

The data table view.

Field Summary
`static java.lang.String` `CALLS_COLNAME` Calls column name.
`static java.lang.String` `ID` The view id.
`static java.lang.String` `INMEMORY_COLNAME` In memory column name.
`static java.lang.String` `INSTRUCTIONS_COLNAME` Instructions column name.
`static java.lang.String` `MAXMEMORY_COLNAME` Max memory column name.
`static java.lang.String` `OPERATION_NAME_COLNAME` Operation name column name.
`static java.lang.String` `OUTMEMORY_COLNAME` Out memory column name.
`static java.lang.String` `TIME_EXECUTION_COLNAME` Execution time column name.

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`ProfilingDataTableView()` The constructor.

Method Summary
`void` `createPartControl(org.eclipse.swt.widgets.Composite parent)`
`void` `dispose()`
`static int` `getCallsId()`
`static int` `getInMemoryColId()`
`static int` `getMaxMemoryColID()`
`static int` `getOperationNameId()`
`static int` `getOutMemoryColId()`
`static long` `getTotalInstructions()`
`static int` `getTotalInstructionsId()`
`static double` `getTotalTime()`
`static int` `getTotalTimeExecutionId()`
`static boolean` `isShowPercentAction()`
`void` `selectionChanged(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)`
`void` `setFocus()`
`void` `setInput(java.lang.Object arg)` Sets the view input.
`static void` `setShowPercentAction(boolean s)`
`void` `update(java.util.Observable o, java.lang.Object arg)`

Methods inherited from class org.eclipse.ui.part.ViewPart
`checkSite, getViewSite, init, init, saveState, setContentDescription, setInitializationData, setPartName`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart

`addPartPropertyListener, addPropertyListener, firePartPropertyChanged, firePropertyChange, getAdapter, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getPartProperties, getPartProperty, getSite, getTitle, getTitleImage, getTitleToolTip, removePartPropertyListener, removePropertyListener, setPartProperty, setSite, setTitle, setTitleImage, setTitleToolTip, showBusy`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### INSTRUCTIONS_COLNAME

    public static final java.lang.String INSTRUCTIONS_COLNAME

  Instructions column name.

### TIME_EXECUTION_COLNAME

    public static final java.lang.String TIME_EXECUTION_COLNAME

  Execution time column name.

### CALLS_COLNAME

    public static final java.lang.String CALLS_COLNAME

  Calls column name.

### OPERATION_NAME_COLNAME

    public static final java.lang.String OPERATION_NAME_COLNAME

  Operation name column name.

### INMEMORY_COLNAME

    public static final java.lang.String INMEMORY_COLNAME

  In memory column name.

### MAXMEMORY_COLNAME

    public static final java.lang.String MAXMEMORY_COLNAME

  Max memory column name.

### OUTMEMORY_COLNAME

    public static final java.lang.String OUTMEMORY_COLNAME

  Out memory column name.

### ID

    public static final java.lang.String ID

  The view id.

  See Also:
    Constant Field Values

Constructor Detail

### ProfilingDataTableView

    public ProfilingDataTableView()

  The constructor.

Method Detail

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.ui.IWorkbenchPart`
  Overrides:
    `dispose` in class `org.eclipse.ui.part.WorkbenchPart`
  See Also:
    `WorkbenchPart.dispose()`

### createPartControl

    public void createPartControl(org.eclipse.swt.widgets.Composite parent)

  Specified by:
    `createPartControl` in interface `org.eclipse.ui.IWorkbenchPart`
  Specified by:
    `createPartControl` in class `org.eclipse.ui.part.WorkbenchPart`
  See Also:
    `WorkbenchPart.createPartControl(org.eclipse.swt.widgets.Composite)`

### setFocus

    public void setFocus()

  Specified by:
    `setFocus` in interface `org.eclipse.ui.IWorkbenchPart`
  Specified by:
    `setFocus` in class `org.eclipse.ui.part.WorkbenchPart`
  See Also:
    `WorkbenchPart.setFocus()`

### setInput

    public void setInput(java.lang.Object arg)

  Sets the view input.

  Parameters:
    `arg` - the input

### update

    public void update(java.util.Observable o,
                       java.lang.Object arg)

  Specified by:
    `update` in interface `java.util.Observer`
  See Also:
    `Observer.update(java.util.Observable, java.lang.Object)`

### selectionChanged

    public void selectionChanged(org.eclipse.ui.IWorkbenchPart part,
                                 org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `selectionChanged` in interface `org.eclipse.ui.ISelectionListener`
  See Also:
    `ISelectionListener.selectionChanged(org.eclipse.ui.IWorkbenchPart, org.eclipse.jface.viewers.ISelection)`

### getTotalInstructionsId

    public static int getTotalInstructionsId()

### getTotalTimeExecutionId

    public static int getTotalTimeExecutionId()

### getCallsId

    public static int getCallsId()

### getOperationNameId

    public static int getOperationNameId()

### getInMemoryColId

    public static int getInMemoryColId()

### isShowPercentAction

    public static boolean isShowPercentAction()

### setShowPercentAction

    public static void setShowPercentAction(boolean s)

### getTotalInstructions

    public static long getTotalInstructions()

### getTotalTime

    public static double getTotalTime()

### getMaxMemoryColID

    public static int getMaxMemoryColID()

### getOutMemoryColId

    public static int getOutMemoryColId()

Copyright 2007 IBM Corporation and others. All Rights Reserved.